# `CLF ...`
Currently loaded file.

| Command   | Description                                                                         | Example   |
|-----------|-------------------------------------------------------------------------------------|-----------|
| `CLF OV`  | Overwrite the currently loaded file with a new file from the file selection dialog. | `CLF OV`  |
| `CLF LD`  | Load the currently loaded file into the scope.                                      | `CLF LD`  |
| `CLF CLR` | Clear the currently loaded file.                                                    | `CLF CLR` |

# `POS ...`
Position.

| Command                          | Description                                                 | Example                    |
|----------------------------------|-------------------------------------------------------------|----------------------------|
| `POS SHOW`                       | Show the current position in latitude/longitude.            | `POS SHOW`                 |
| `POS SLL [latitude] [longitude]` | Set the position to the desired latitude/longitude.         | `POS SLL 38.8977 -77.0366` |
| `POS SITE [site]`                | Set the position to the position of the desired radar site. | `POS SITE KRAX`            | 

# `PREF` and `PREFSET`
Preferences.

| Command                   | Description                                       | Example                        |
|---------------------------|---------------------------------------------------|--------------------------------|
| `PREF SHOW [pref]`        | Show the value of the preference.                 | `PREF SHOW RR`                 |
| `PREF SET [pref] [value]` | Set the value of the preference.                  | `PREF SET RR 5`                |
| `PREF CLR [pref]`         | Clear the prefernece (return to default value)    | `PREF CLEAR RR`                |
| `PREFSET SAVE [name]`     | Save the current setup of the scope as a prefset. | `PREF SET SAVE krax_tornadoes` |
| `PREFSET RCL [name]`      | Load the scope from the given prefset.            | `PREF SET RCL krax_tornadoes`  |
| `PREFSET CLR [name]`      | Remove the saved prefset.                         | `PREF SET CLR krax_tornadoes`  |
| `PREFSET CLRA`            | Remove all saved prefsets.                        | `PREF SET CLRA`                |

## Available Preferences

| Preference | Description         | Value                      |
|------------|---------------------|----------------------------|
| RR         | Range Rings         | 1-100 (default 5)          |
| RREN       | Range Rings Enabled | true, false (default true) |
| FCS        | Font Character Size | 1-100 (default 12)         |