use serde::{Deserialize, Serialize};

pub const FIREHOSE_SQS_URL: &str = "https://sqs.us-east-1.amazonaws.com/232232181562/NEXRAD_m1_q1";

#[derive(Serialize, Deserialize)]
pub struct S3NEXRADData {
    #[serde(rename = "Key")]
    pub key: String,
    #[serde(rename = "SiteID")]
    pub site_id: String,
    #[serde(rename = "DateTime")]
    pub date_time: String,
    #[serde(rename = "VolumeID")]
    pub volume_id: i32,
    #[serde(rename = "ChunkID")]
    pub chunk_id: i32,
    #[serde(rename = "ChunkType")]
    pub chunk_type: String,
    #[serde(rename = "L2Version")]
    pub l2version: String,
    #[serde(rename = "S3Bucket")]
    pub s3bucket: String
}

#[derive(Serialize, Deserialize)]
pub struct S3Notification {
    #[serde(rename = "Message")]
    pub message: String,
}